---
title: "Bloquer les publicités sur Android"
...

Ce tutoriel détaille une procédure très simple pour bloquer les publicités sur
Android, aussi bien dans les applications que pour la navigation web, sans
devoir rooter son smartphone.

Voici les étapes nécessaires:

- [Installation de F-Droid](#installation-de-f-droid) (facultatif)
- [Installation de DNSFiler](#installation-de-dnsfilter)
- [Configuration et tests](#configuration-et-tests)

# Installation de F-Droid

> ![image](note.png) **Note:**
> Cette étape est facultative, mais recommandée. Si vous ne souhaitez pas
> utiliser F-Droid, continuez avec le chapitre [Installation de
> DNSFilter](#installation-de-dnsfilter).

F-Droid est une magasin d'applications sous licences libres pour Android. Il
permet de chercher des applications, de les installer, et de gérer leur mise à
jour.

Pour l'installer, rendez-vous sur [le site officiel](https://f-droid.org/fr/),
ou bien scannez le QR-code suivant:

![F-Droid QR-code](assets/0-download-fdroid-qr.png){height="25%"}

Une fois le paquetage téléchargé, appuyez sur **Ouvrir**.

![Ouverture de l'APK F-Droid](assets/1-download-fdroid.png){height="40%"}

Si un message vous informe que l'installation depuis une source inconnue n'est
pas autorisée, référez-vous à l'[annexe A](#annexe-a-sources-inconnues) pour
les activer avant de continuer.

L'installateur s'ouvre, appuyez sur **Installer**.

![Installateur pour F-Droid](assets/2-install-fdroid.png){height="40%"}

![Installation de F-Droid](assets/3-installing-fdroid.png){height="40%"}

![Installation de F-Droid terminée](assets/4-fdroid-installed.png){height="40%"}

Ouvrez F-Droid, et attendez que la liste des applications se mette à jour.

![Mise à jour de F-Droid](assets/5-fdroid-update.png){height="40%"}

Nous sommes maintenant prêts à installer DNSFilter !

# Installation de DNSFilter

## Installation avec F-Droid

> ![image](note.png) **Note:**
> Suivez cette section si vous avez effectué l'[installation de F-Droid](#installation-de-f-droid),
> sinon, poursuivez avec l'installation [sans F-Droid](#installation-sans-fdroid).

Dans F-Droid, recherchez DNSFilter.

![DNSFilter dans F-Droid](assets/6-find-dnsfilter.png){height="40%"}

Si un message vous informe que l'installation depuis une source inconnue n'est
pas autorisée, référez-vous à l'[annexe A](#annexe-a-sources-inconnues) pour
les activer avant de continuer.

L'écran d'installation s'ouvre, cliquez sur **Installer**.

![Installateur pour DNSFilter](assets/7-install-dnsfilder.png){height="40%"}

![Installation de DNSFilter](assets/8-installing-dnsfilter.png){height="40%"}

Continuez avec la section [Configuration et tests](#configuration-et-tests).

## Installation sans F-Droid

Téléchargez directement l'APK de DNSFilter depuis [le site
officiel](https://www.zenz-solutions.de/personaldnsfilter), ou bien [depuis le
site de F-Droid](https://f-droid.org/en/packages/dnsfilter.android).

Vous pouvez utiliser ce QR-code:

![DNSFilter QR-code](assets/0-download-dnsfilter-qr.png){height="25%"}

Une fois l'APK téléchargé cliquez sur **Ouvrir**.
L'écran d'installation s'ouvre, cliquez sur **Installer**.

![Installateur pour DNSFilter](assets/7-install-dnsfilder.png){height="40%"}

![Installation de DNSFilter](assets/8-installing-dnsfilter.png){height="40%"}

# Configuration et tests

Lancez DNSFilter, et acceptez les autorisations nécessaires.

![Lancement de DNSFilter](assets/9-start-dnsfilter.png){height="40%"}

![DNSFilter autorisation VPN](assets/10-allow-vpn.png){height="40%"}

Une fois DNSFilter actif vous verrez cet écran.

![Écran de DNSFilter](assets/11-active.png){height="40%"}

Vous pouvez maintenant revenir au bureau ou changer d'application, le filtrage
des publicités restera actif en arrière-plan.

Si vous voulez désactiver le filtrage et fermer DNSFilter, utilisez le bouton
**Fermer** depuis l'écran de DNSFilter.

Le symbôle de clé dans la barre de statut indique que DNSFilter est actif.

![DNSFilter est actif](assets/11-status.png){height="40%"}

Vous pouvez à présent lancer un jeu ou une application habituellement généreuse
en publicités, pour voir la différence!

## Bloquer plus de publicités

Pour bloquer plus de publicités vous pouvez ajouter de nouvelles listes. Nous
allons voir comment ajouter la liste [EasyList](https://easylist.to).

Dans DNSFilter, rendez-vous dans **Paramètres avancés** puis **Configurer la
mise à jour du filtre**. Ajoutez la liste EasyList en éditant l'élément
*<new>*, et en saisissant cette adresse:

**https://easylist.to/easylist/easylist.txt**

![Saisie de EasyList](assets/17-add-block-list.png){height="40%"}

Puis validez.

![EasyList ajoutée](assets/17-block-list-added.png){height="40%"}

Décochez **Paramètres avancés** puis cliquez sur **Actualiser le filtre** sur
l'écran principal.

La liste EasyList est maintenant prise en compte.

Vous pouvez procéder de même pour ajouter d'autres listes, telles que celles de
[Hosts-file](https://hosts-file.net), comme par exemple
[la liste Ads Servers](https://hosts-file.net/ad_servers.txt).

## Retirer l'icône DNSFilter de la barre de statut

Vous pouvez remarquer que lorsque DNSFilter est actif, vous avez non seulement
l'icône de clé dans la barre de menu, mais aussi un petit bouclier à gauche.

Si vous voulez retirer cet icône de petit bouclier, déroulez la barre de
statut.

![Dérouler la barre de statut](assets/14-notification.png){height="40%"}

Faites un appui long sur **DNSFilter is running**, un menu contextuel s'ouvre,
cochez **Bloquer toutes les notifications**.

![Bloquer les notifications de DNSFilter](assets/15-disable-notification.png){height="40%"}

## Bloquer les publicités récalcitrantes

> ![image](attention.png) **Attention:**
> Cette section s'adresse à des utilisateurs avancés. Si vous ne savez pas
> comment doit-être rempli un fichier **hosts**, ne suivez pas ce chapitre,
> vous pourriez provoquer des dysfonctionnements.

La publicité devrait avoir disparu de la quasi totalité de vos applications.
Mais parfois, certaines applications utilisent leur propre serveur de
publicités. Il vous faudra donc identifier le domaine correspondant pour le
bloquer.

Pour cela, vous avez plusieurs solutions:

-   Soit identifier le domaine correspondant dans DNSFilter, en effet, lorsque
    vous aurez lancé votre application et qu'elle aura téléchargé sa publicité,
    vous pourrez voir dans l'écran principal de DNSFilter les domaines qui ont
    été autorisés.
-   Soit en cliquant sur la publicité depuis l'application, votre navigateur
    web devrait s'ouvrir, et l'URL de la publicité s'afficher, il ne vous reste
    plus qu'à identifier le domaine.

Dans DNSFilter, choisissez **Paramètres avancés** puis **Configurer les hôtes
supplémentaires**.

![Configurer les hôtes supplémentaires](assets/12-block-domain.png){height="40%"}

Ajoutez le domaine identifié à la fin du fichier (*n0ve1st0ry.gameloft.com*
dans cet exemple).

Relancez l'application, éventuellement après avoir vidé son cache, et la
publicité ne devrait plus apparaître. Vous pourrez voir que dans DNSFilter le
domaine a bien été bloqué:

![Hôte supplémentaire bloqué](assets/13-domain-blocked.png){height="40%"}

## Bloquer les publicités Youtube

Il n'est pas possible de bloquer efficacement les publicités Youtube avec cette
méthode, du moins si vous passez par l'application Youtube.

Vous pouvez passer par des applications Youtube alternatives, qui bloquent la
publicité, et que vous trouverez sur F-Droid, comme par exemple:

-   [Newpipe](https://newpipe.schabi.org)
-   [Skytube](https://skytube-app.com)

mais à l'heure actuelle, aucune de ces deux applications ne permet encore de se
connecter à son compte Youtube, vous n'aurez donc accès ni à votre liste
d'abonnements ni à vos playlists.

Une alternative est d'utiliser **Adblock Browser**, que vous trouverez sur le
**Play Store Android**. C'est un navigateur web qui bloque les publicités, vous
pouvez l'utiliser directement pour accéder à Youtube.

# Annexe A: sources inconnues

Il est possible que l'installation de F-Droid ou de DNSFilter vous demande
d'activer les sources inconnues.

![Source inconnue](assets/16-unknown-sources.png){height="40%"}

Sélectionnez **Paramètres**, et dans la fenêtre des paramètres de sécurité
activez **Sources inconnues**.

![Sources inconnues autorisées](assets/16-unknown-sources-allow.png){height="40%"}
